/** @file
 * hv_dep.h
 */

/*
 * Copyright (c) 2008-2010 Freescale Semiconductor, Inc.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY Freescale Semiconductor ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL Freescale Semiconductor BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef HV_DEP_H
#define HV_DEP_H

#ifdef __cplusplus
    extern "C" {
#endif

#define HAVE_VIRT_TO_PHYS

#ifndef _ASM
typedef int client_cpu_t;
#endif

#define EXC_MCHECK_HANDLER mcheck
#define EXC_PROGRAM_HANDLER lwe_exception_handler

#define EXC_DECR_HANDLER proc_decr_expiry 
#define EXC_EXT_INT_HANDLER ext_handler

#define EXC_WDOG_HANDLER wdog_handler
#define EXC_DOORBELL_HANDLER doorbell_handler

#define EXC_CRIT_INT_HANDLER lwe_exception_handler
#define EXC_DSI_HANDLER lwe_exception_handler
#define EXC_ISI_HANDLER lwe_exception_handler
#define EXC_ALIGN_HANDLER lwe_exception_handler
#define EXC_FPUNAVAIL_HANDLER lwe_exception_handler
#define EXC_SYSCALL_HANDLER lwe_exception_handler
#define EXC_AUXUNAVAIL_HANDLER lwe_exception_handler
#define EXC_FIT_HANDLER lwe_exception_handler
#define EXC_DTLB_HANDLER lwe_exception_handler
#define EXC_ITLB_HANDLER lwe_exception_handler
#define EXC_DEBUG_HANDLER lwe_exception_handler
#define EXC_PERFMON_HANDLER lwe_exception_handler
#define EXC_DOORBELLC_HANDLER lwe_exception_handler

#ifdef __cplusplus
    }
#endif
#endif
